/* 
	Lignum PMCMD v1.1 installation program. 
	Copyright Lignum Oy/Ltd 1994.
	All right reserved.
*/

call RxFuncAdd "SysLoadFuncs", "RexxUtil", "SysLoadFuncs"
call SysLoadFuncs

SAY 'This is a command line program for the installation of '
SAY '		Lignum PMCMD v1.1 '
SAY
SAY 'Checking the drive...'

dirikka=directory() /* Current directory... */
drive=LEFT(dirikka,1)
if drive < "C" then do
	call usage
	exit
end
SAY 'Drive OK.'

SAY 'Creating the Lignum PMCMD v1.1 program object...'
/* create the program object */
PMCMDOK=SysCreateObject("WPProgram", "Lignum PMCMD v1.1", "<WP_DESKTOP>", ,
     "EXENAME="dirikka"\ligpmcmd.exe;PARAMETERS=-d"dirikka" -F17 -C-1 -G5;WORKINGDIRECTORY="dirikka";"||,
     "ICONFILE="dirikka"\ligpmcmd.ico;OBJECTID=<HWB_LIGPMCMD>", "update")
if PMCMDOk then
  say "Program object for Lignum PMCMD v1.1 created successfully."
else do
  say "*** Could not create program object for Lignum PMCMD v1.1."
  exit
  end

exit




/* ---------------------------------------------------------------------- */
Usage: procedure

say "Run this script from hard disk and from the directory in which you"
say "want to install Lignum PMCMD 1.1 program with its files. You must "
say "unpacked the files to that directory first."
say
exit








